Bug 246120 - [RHEL5] Cancelling Quit doesn't immediately cancel in mail composer
Summary: [RHEL5] Cancelling Quit doesn't immediately cancel in mail composer
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: evolution (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Milan Crha
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-28 17:26 UTC by Dave Malcolm
Modified: 2008-07-16 00:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-16 00:09:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Malcolm 2007-06-28 17:26:09 UTC
Description of problem:
I occasionally hit Ctrl-W when trying to hit Ctrl-E; closing the main evolution
window, rather than expunging the folder.

I have several composer windows open, and a dialog pops up for one of them: 

"Warning: Modified Message

Are you sure you want to discard the message, titled 'Foo', you are composing?

Closing this composer window will discard the message permanently, unless you
choose to save the message in your Drafts folder. This will allow you to
continue the message at a later date.
[Discard Changes] [Cancel] [Save Message]"

On hitting Cancel, it doesn't immediately cancel the quit, instead, I get a
similar dialog for each open message, and have to click cancel in each one.

Version-Release number of selected component (if applicable):
evolution-2.8.0-33.el5

How reproducible:
100%

Steps to Reproduce:
1.  In evolution mailer, click on File->New->Mail Message several times
2.  Click on File->Exit
3.  In "Warning: Modified Message" dialog, click on Cancel
  
Actual results:
More "Warning: Modified Message" dialogs appear, for each open message, and I
have to cancel each one.

Expected results:
Upon clicking Cancel on any of the dialogs, the Quit verb should be cancelled,
and I shouldn't have to deal with any more confirmation dialogs.

Comment 1 Matthew Barnes 2008-03-16 22:32:46 UTC
RHEL 5.2 will re-base Evolution from version 2.8.0 to version 2.12.3.
Can you please test whether this bug is still present in RHEL 5.2?

Comment 2 Matěj Cepl 2008-04-17 16:07:42 UTC
Reporter, could you please reply to the previous question?

Comment 4 RHEL Product and Program Management 2008-07-16 00:09:09 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 


Note You need to log in before you can comment on or make changes to this bug.